package com.bocloud.cmp.model.kubernetes;

import java.util.Date;
import java.util.Map;

/**
 * @author 作者
 * @version 创建时间：2019年8月21日 上午10:43:18 类说明 Kubernetes node
 */
public class SecretModel {
    private String instanceId;
    private String name;
    private String remark;
    private String status;
    private String apiVersion;
    private String kind;
    private String annotations;
    private Date gmtCreate;
    private String labels; // 标签
    private String namespace;
    private String type; // 类型
    private String resourceKind;
    private String uid;
    private String data;
    private Date creationTime;
    private String dockerconfigjson; // 认证信息
    private Map<String, String> lablesMap;
    private String registryUserName;
    private String registryPassword;
    private String registryAddress;
    private String yamlText;
    private Map<String, String> selectorMap;//

    public String getInstanceId() {
        return instanceId;
    }

    public void setInstanceId(String instanceId) {
        this.instanceId = instanceId;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getApiVersion() {
        return apiVersion;
    }

    public void setApiVersion(String apiVersion) {
        this.apiVersion = apiVersion;
    }

    public String getKind() {
        return kind;
    }

    public void setKind(String kind) {
        this.kind = kind;
    }

    public String getAnnotations() {
        return annotations;
    }

    public void setAnnotations(String annotations) {
        this.annotations = annotations;
    }

    public Date getGmtCreate() {
        return gmtCreate;
    }

    public void setGmtCreate(Date gmtCreate) {
        this.gmtCreate = gmtCreate;
    }

    public String getLabels() {
        return labels;
    }

    public void setLabels(String labels) {
        this.labels = labels;
    }

    public String getNamespace() {
        return namespace;
    }

    public void setNamespace(String namespace) {
        this.namespace = namespace;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getResourceKind() {
        return resourceKind;
    }

    public void setResourceKind(String resourceKind) {
        this.resourceKind = resourceKind;
    }

    public String getUid() {
        return uid;
    }

    public void setUid(String uid) {
        this.uid = uid;
    }

    public String getYamlText() {
        return yamlText;
    }

    public void setYamlText(String yamlText) {
        this.yamlText = yamlText;
    }

    public Map<String, String> getSelectorMap() {
        return selectorMap;
    }

    public void setSelectorMap(Map<String, String> selectorMap) {
        this.selectorMap = selectorMap;
    }

    public String getData() {
        return data;
    }

    public void setData(String data) {
        this.data = data;
    }

    public String getRegistryUserName() {
        return registryUserName;
    }

    public void setRegistryUserName(String registryUserName) {
        this.registryUserName = registryUserName;
    }

    public String getRegistryPassword() {
        return registryPassword;
    }

    public void setRegistryPassword(String registryPassword) {
        this.registryPassword = registryPassword;
    }

    public String getRegistryAddress() {
        return registryAddress;
    }

    public void setRegistryAddress(String registryAddress) {
        this.registryAddress = registryAddress;
    }

    public Map<String, String> getLablesMap() {
        return lablesMap;
    }

    public void setLablesMap(Map<String, String> lablesMap) {
        this.lablesMap = lablesMap;
    }

    public Date getCreationTime() {
        return creationTime;
    }

    public void setCreationTime(Date creationTime) {
        this.creationTime = creationTime;
    }

    public String getDockerconfigjson() {
        return dockerconfigjson;
    }

    public void setDockerconfigjson(String dockerconfigjson) {
        this.dockerconfigjson = dockerconfigjson;
    }
}
